%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name egon

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: A library on top of Fog that encapsulates TripleO deployment operations
Group: Development/Languages
License: GPL-3.0+
URL: https://github.com/fusor/egon
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}rubygem(fog) => 1.36.0
Requires: %{?scl_prefix}rubygem(net-ssh) => 2.9.2
Requires: %{?scl_prefix}rubygem(net-ssh) < 2.10
%if ( 0%{?fedora} > 18 || 0%{?rhel} >= 7 ) && "%{?scl}" != "ruby193"
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
%else
Requires: %{?scl_prefix}ruby(abi)
Requires: %{?scl_prefix}ruby(rubygems)
BuildRequires: %{?scl_prefix}ruby(abi)
BuildRequires: %{?scl_prefix}rubygems-devel
%endif

BuildArch: noarch

%description
A library on top of Fog that encapsulates TripleO deployment operations.

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
gem install %{gem_name}-%{version}.gem --local --install-dir .%{gem_dir}
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
mkdir .%{_bindir}
mv .%{gem_dir}/bin/* \
        .%{_bindir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

rm -f %{buildroot}%{_bindir}/initialize_overcloud.sh
cp -a %{buildroot}%{gem_instdir}/bin/initialize_overcloud.sh %{buildroot}/%{_bindir}
# Run the test suite

%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%{_bindir}/undercloud-install-local.rb
%{_bindir}/undercloud-install-satellite.rb
%{_bindir}/undercloud-install-vanilla-rhel.rb
%{_bindir}/initialize_overcloud.sh
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Tue Aug 30 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.6-1
- 1344457 - restart swift when service is inactive (chris@chasenc.com)

* Mon Aug 15 2016 Jason Montleon <jmontleo@redhat.com> 1.0.5-1
- 1360403 - Ensure selinux is in 'enforcing' mode (dymurray@redhat.com)

* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.4-1
- remove unneeded files from the rpm spec (jesusr@redhat.com)

* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com>
- remove unneeded files from the files section

* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.3-1
- remove rpm spec from files list (jesusr@redhat.com)

* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.2-1
- only pickup the necessary files. (jesusr@redhat.com)

* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.1-1
- use version template to keep rpm and gem in sync (jesusr@redhat.com)
- python-rdomanager-oscplugin is not part of OSP 8 (jmontleo@redhat.com)
- additional setup to enable tls and sat registration (jmontleo@redhat.com)

* Wed Jul 27 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-3
- better handle swift failures and unavailability (jmontleo@redhat.com)
- fix and improve sysctl sed cmd (jmontleo@redhat.com)
- escape quotes on swift stat check (jmontleo@redhat.com)
- BZ#1344457 ensure swift is up before trying to check for/upload plan
  (jmontleo@redhat.com)
- Activate nova scheduler's baremetal filters (tzumainn@redhat.com)
- update get_plan_parameters to accommodate nested parameters
  (tzumainn@redhat.com)

* Fri Jun 17 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-2
- Use SecureRandom to generate random passwords (jmontleo@redhat.com)

* Tue May 17 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-1
- bump gem and rpm version to 1.0.0 (jmontleo@redhat.com)
- Add delete stack method (jmontleo@redhat.com)
- enable the triplo-api-service so it starts on reboot (jmontleo@redhat.com)

* Mon May 02 2016 Jason Montleon <jmontleo@redhat.com> 0.4.8-13
- updated initialize_overcloud for new deployment plan files
  (tzumainn@redhat.com)

* Wed Apr 27 2016 Jason Montleon <jmontleo@redhat.com> 0.4.8-12
- allow AdminPassword to be modifiable (tzumainn@redhat.com)
- Extend timeout when calling tripleo-api (tzumainn@redhat.com)

* Wed Apr 13 2016 Jason Montleon <jmontleo@redhat.com> 0.4.8-11
- Remove flavor defaults for OSP8 undercloud (tzumainn@redhat.com)
- Add OSP8 undercloud install commands (tzumainn@redhat.com)
- added comment regarding role method (tzumainn@redhat.com)
- overcloud deployment updates for osp8 (tzumainn@redhat.com)
* Tue Mar 29 2016 Jason Montleon <jmontleo@redhat.com> 0.4.8-10
- tfm scl fixes (jmontleo@redhat.com)

* Tue Mar 29 2016 Jason Montleon <jmontleo@redhat.com> 0.4.8-9
- make it possible to delete node with nil power status (jmontleo@redhat.com)
- don't hardcode the undercloud servers address (jmontleo@redhat.com)
- Make delete_node handle shutdown of the node if necessary as long as it's not
  part of a deployment (jmontleo@redhat.com)
- Refactor egon to work with rhci-tripleo-api (tzumainn@redhat.com)
- fix for new fog version having multiple image services (tzumainn@redhat.com)
- list ports for visibility of mac addresses and relationships to nodes
  (jmontleo@redhat.com)
- make assigning all nodes to an existing role more resilient
  (jmontleo@redhat.com)
- the default value is empty not 'baremetal' (jmontleo@redhat.com)
- Bump fog to 1.36.0 requirement for uuid bug (jrist@redhat.com)

* Thu Oct 29 2015 Jason Rist <jrist@redhat.com> 0.4.8
- bump fog requirement to 1.36.0 to fix uuid bug (jrist@redhat.com)

* Thu Sep 10 2015 Jason Montleon <jmontleo@redhat.com> 0.4.2-7
- gempsec and rpm spec cleanup (jmontleo@redhat.com)

* Thu Sep 10 2015 Jason Montleon <jmontleo@redhat.com> 0.4.2-6
- remove dev require (jmontleo@redhat.com)

* Thu Sep 10 2015 Jason Montleon <jmontleo@redhat.com> 0.4.2-5
- Allow newer version of fog 

* Wed Sep 09 2015 Jason Montleon <jmontleo@redhat.com> 0.4.2-4
- remove bad require (jmontleo@redhat.com)

* Wed Sep 09 2015 Jason Montleon <jmontleo@redhat.com> 0.4.2-3
- Egon RPM compatible with SCL and Foreman (jrist@redhat.com)
- Egon RPM compatible with SCL (jrist@redhat.com)

* Mon Aug 31 2015 jrist <jrist@redhat.com> - 0.4.1-1
- Initial package
